Identities

Generate identity drafts

Generates draft face images from a list of instructions. Drafts do not create Identity records or consume identity slots. Use POST /identity/promote-generated to graduate a specific draft into a full identity.

POST
/identity/create

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://v2.api.piktid.com/identity/create" \  -H "Content-Type: application/json" \  -d '{    "instructions": [      {}    ]  }'
{
  "job_id": "string",
  "status": "string",
  "num_instructions": 0,
  "total_variations": 0,
  "message": "string"
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty
Empty